org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class DocumentationDocumentImpl.DocumentationImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.DocumentationDocumentImpl.DocumentationImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, DocumentationDocument.Documentation, SimpleValue, XmlObject, XmlTokenSource
  Enclosing class:
    DocumentationDocumentImpl

      public static class DocumentationDocumentImpl.DocumentationImpl
      extends XmlComplexContentImpl
      implements DocumentationDocument.Documentation

  An XML documentation(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.DocumentationDocument.Documentation

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentationImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the "lang" attribute
    `String` | `getSource()` Gets the "source" attribute
    `boolean` | `isSetLang()` True if has "lang" attribute
    `boolean` | `isSetSource()` True if has "source" attribute
    `void` | `setLang(String lang)` Sets the "lang" attribute
    `void` | `setSource(String source)` Sets the "source" attribute
    `void` | `unsetLang()` Unsets the "lang" attribute
    `void` | `unsetSource()` Unsets the "source" attribute
    `LangAttribute.Lang` | `xgetLang()` Gets (as xml) the "lang" attribute
    `XmlAnyURI` | `xgetSource()` Gets (as xml) the "source" attribute
    `void` | `xsetLang(LangAttribute.Lang lang)` Sets (as xml) the "lang" attribute
    `void` | `xsetSource(XmlAnyURI source)` Sets (as xml) the "source" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### DocumentationImpl

          public DocumentationImpl(SchemaType sType)

  - ### Method Detail

    - #### getSource

          public String getSource()

      Gets the "source" attribute
      Specified by:
        `getSource` in interface `DocumentationDocument.Documentation`

    - #### xgetSource

          public XmlAnyURI xgetSource()

      Gets (as xml) the "source" attribute
      Specified by:
        `xgetSource` in interface `DocumentationDocument.Documentation`

    - #### isSetSource

          public boolean isSetSource()

      True if has "source" attribute
      Specified by:
        `isSetSource` in interface `DocumentationDocument.Documentation`

    - #### setSource

          public void setSource(String source)

      Sets the "source" attribute
      Specified by:
        `setSource` in interface `DocumentationDocument.Documentation`

    - #### xsetSource

          public void xsetSource(XmlAnyURI source)

      Sets (as xml) the "source" attribute
      Specified by:
        `xsetSource` in interface `DocumentationDocument.Documentation`

    - #### unsetSource

          public void unsetSource()

      Unsets the "source" attribute
      Specified by:
        `unsetSource` in interface `DocumentationDocument.Documentation`

    - #### getLang

          public String getLang()

      Gets the "lang" attribute
      Specified by:
        `getLang` in interface `DocumentationDocument.Documentation`

    - #### xgetLang

          public LangAttribute.Lang xgetLang()

      Gets (as xml) the "lang" attribute
      Specified by:
        `xgetLang` in interface `DocumentationDocument.Documentation`

    - #### isSetLang

          public boolean isSetLang()

      True if has "lang" attribute
      Specified by:
        `isSetLang` in interface `DocumentationDocument.Documentation`

    - #### setLang

          public void setLang(String lang)

      Sets the "lang" attribute
      Specified by:
        `setLang` in interface `DocumentationDocument.Documentation`

    - #### xsetLang

          public void xsetLang(LangAttribute.Lang lang)

      Sets (as xml) the "lang" attribute
      Specified by:
        `xsetLang` in interface `DocumentationDocument.Documentation`

    - #### unsetLang

          public void unsetLang()

      Unsets the "lang" attribute
      Specified by:
        `unsetLang` in interface `DocumentationDocument.Documentation`